# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define     short_name      logkit
%define     camelcase_short_name      LogKit

Name:        avalon-logkit
Version:     2.1
Release:     %mkrel 8
Summary:     Java logging toolkit
License:     ASL 1.1
Group:       Development/Java 
URL:         http://avalon.apache.org/%{short_name}/
Source0:     http://www.apache.org/dist/excalibur/%{name}/source/%{name}-%{version}-src.zip
Source1:     http://repo1.maven.org/maven2/avalon-logkit/avalon-logkit/%{version}/%{name}-%{version}.pom
Patch0:      fix-java6-compile.patch
Patch1:      avalon-logkit-pom-deps.patch
Requires:    avalon-framework >= 4.1.4
# Required for converting jars to OSGi bundles
BuildRequires:    aqute-bndlib
Requires:    servlet25
Requires:    jms
Requires:    jdbc-stdext
BuildRequires:    unzip
BuildRequires:    jpackage-utils >= 1.5
BuildRequires:    ant
BuildRequires:    javamail
BuildRequires:    ant-junit
BuildRequires:    log4j
BuildRequires:    avalon-framework >= 4.1.4
BuildRequires:    servlet25
BuildRequires:    jms
BuildRequires:    jdbc-stdext
BuildRequires:    java-devel >= 0:1.6.0
BuildRequires:    java-rpmbuild
Obsoletes:        excalibur-avalon-logkit < 0:2.1-10.0.5
Obsoletes:        excalibur-avalon-logkit-javadoc < 0:2.1-10.0.5
BuildArch:    noarch


%description
LogKit is a logging toolkit designed for secure performance orientated
logging in applications. To get started using LogKit, it is recomended
that you read the whitepaper and browse the API docs.

%package javadoc
Summary:    Javadoc for %{name}
Group:        Development/Java 
Requires:     jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q 
%patch0

cp %{SOURCE1} pom.xml
%patch1

# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=%(build-classpath \
                   log4j \
                   javamail/mailapi \
                   jms \
                   tomcat6-servlet-2.5-api \
                   jdbc-stdext \
                   avalon-framework \
                   junit \
                  ):$PWD/build/classes
ant -Dnoget=true clean jar javadoc \
    -lib /usr/share/java

# Convert to OSGi bundle
java -jar %{_javadir}/aqute-bndlib.jar wrap target/%{name}-%{version}.jar

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT/%{_mavenpomdir}

install -m 644 target/%{name}-%{version}.bar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -pm 644 pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap %{name} %{name} %{version} JPP %{name}

# compatibility depmaps
%add_to_maven_depmap %{short_name} %{short_name} %{version} JPP %{name}
%add_to_maven_depmap org.apache.avalon.logkit %{name} %{version} JPP %{name}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%pre javadoc
# workaround for rpm bug, can be removed in F-17
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{name}.pom
%{_javadir}/%{name}.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadocdir}/*



%changelog
* Tue Jul 19 2011 dmorgan <dmorgan> 2.1-8.mga2
+ Revision: 126285
- Fix up depdenencies in pom
- Convert jar's to OSGi bundles using aqute-bndlib
- From fedora
- Add maven metadata into package
- Tweaks according to new guidelines

* Wed Feb 02 2011 dmorgan <dmorgan> 2.1-7.mga1
+ Revision: 46477
- Obsoletes excalibur-avalon-logkit-javadoc

* Wed Feb 02 2011 dmorgan <dmorgan> 2.1-6.mga1
+ Revision: 46463
- Obsoletes excalibur-avalon-logkit

* Tue Feb 01 2011 dmorgan <dmorgan> 2.1-5.mga1
+ Revision: 45821
- Fix build ( from opensuse)

  + pterjan <pterjan>
    - imported package avalon-logkit


* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 2.1-3mdv2008.0
+ Revision: 87213
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Sat Sep 08 2007 Pascal Terjan <pterjan@mandriva.org> 0:2.1-2mdv2008.0
+ Revision: 82623
- update to new version


* Wed Dec 13 2006 David Walluck <walluck@mandriva.org> 2.1-1mdv2007.0
+ Revision: 96163
- 2.1

* Mon Dec 11 2006 David Walluck <walluck@mandriva.org> 0:1.2-3.2mdv2007.1
+ Revision: 95106
- Import avalon-logkit

* Sat Jun 03 2006 David Walluck <walluck@mandriva.org> 0:1.2-3.2mdv2007.0
- fix build
- own %%{_libdir}/gcj/%%{name}
- rebuild for libgcj.so.7

* Fri Dec 02 2005 David Walluck <walluck@mandriva.org> 0:1.2-3.1mdk
- sync with 3jpp
- aot-compile

* Fri May 13 2005 David Walluck <walluck@mandriva.org> 0:1.2-2.1mdk
- release

* Tue Jan 11 2005 Gary Benson <gbenson@redhat.com> 0:1.2-2jpp_4fc
- Reenable building of classes that require javax.swing (#130006).

* Thu Nov 04 2004 Gary Benson <gbenson@redhat.com> 0:1.2-2jpp_3fc
- Build into Fedora.

* Fri Oct 29 2004 Gary Benson <gbenson@redhat.com> 0:1.2-2jpp_2fc
- Bootstrap into Fedora.

* Fri Mar 05 2004 Frank Ch. Eigler <fche@redhat.com> 0:1.2-2jpp_1rh
- RH vacuuming

